Package ru.bitel.oss.kernel.entity.common.service

# Interface EntityService

    public interface EntityService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `entitySpecAttrDelete​(int id)` |
  `EntitySpecAttr` | `entitySpecAttrGet​(int id)` |
  `java.util.List<EntitySpecAttr>` | `entitySpecAttrList()` |
  `java.util.List<EntitySpecAttr>` | `entitySpecAttrListByType​(int type)` |
  `void` | `entitySpecAttrListItemDelete​(int entitySpecId, int id)` |
  `java.util.List<EntitySpecAttrListItem>` | `entitySpecAttrListItemList​(int entitySpecId)` |
  `int` | `entitySpecAttrListItemUpdate​(int entitySpecId, EntitySpecAttrListItem item)` |
  `int` | `entitySpecAttrUpdate​(EntitySpecAttr entitySpecAttr)` |
  `java.util.List<EntitySpecDTO>` | `entitySpecDtoList()` |
  `EntitySpec` | `entitySpecGet​(int id)` |
  `java.util.List<EntitySpec>` | `entitySpecList()` |
  `int` | `entitySpecUpdate​(EntitySpec entitySpec)` |

- ## Method Details

  - ### entitySpecList

    java.util.List<EntitySpec> entitySpecList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecDtoList

    java.util.List<EntitySpecDTO> entitySpecDtoList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecGet

    EntitySpec entitySpecGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecUpdate

    int entitySpecUpdate​(EntitySpec entitySpec) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrList

    java.util.List<EntitySpecAttr> entitySpecAttrList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrListByType

    java.util.List<EntitySpecAttr> entitySpecAttrListByType​(int type) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrGet

    EntitySpecAttr entitySpecAttrGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrUpdate

    int entitySpecAttrUpdate​(EntitySpecAttr entitySpecAttr) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrListItemList

    java.util.List<EntitySpecAttrListItem> entitySpecAttrListItemList​(int entitySpecId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrListItemUpdate

    int entitySpecAttrListItemUpdate​(int entitySpecId, EntitySpecAttrListItem item) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrListItemDelete

    void entitySpecAttrListItemDelete​(int entitySpecId, int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### entitySpecAttrDelete

    void entitySpecAttrDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`